claw::meta::type_list_maker_1< T1 > Struct Template Reference

A type list with a single type, more readable than an imbricated type_list. More...

`#include <type_list.hpp>`

## Public Types

typedef type_list< T1, no_type > | result
| The list described by this implementation.

## Detailed Description

template<typename T1>
struct claw::meta::type_list_maker_1< T1 >

A type list with a single type, more readable than an imbricated type_list.

Definition at line 127 of file type_list.hpp.

## Member Typedef Documentation

## result

template<typename T1>

typedef type_list<T1, no_type> claw::meta::type_list_maker_1< T1 >::result

The list described by this implementation.

Definition at line 130 of file type_list.hpp.

The documentation for this struct was generated from the following file:

- meta/type_list.hpp